org.keycloak.representations.idm.authorization

## Class PolicyEvaluationResponse.PolicyResultRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.authorization.PolicyEvaluationResponse.PolicyResultRepresentation

- Enclosing class:
    PolicyEvaluationResponse

      public static class PolicyEvaluationResponse.PolicyResultRepresentation
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyResultRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `List<PolicyEvaluationResponse.PolicyResultRepresentation>` | `getAssociatedPolicies()`
    `PolicyRepresentation` | `getPolicy()`
    `Set<String>` | `getScopes()`
    `DecisionEffect` | `getStatus()`
    `int` | `hashCode()`
    `void` | `setAssociatedPolicies(List<PolicyEvaluationResponse.PolicyResultRepresentation> associatedPolicies)`
    `void` | `setPolicy(PolicyRepresentation policy)`
    `void` | `setScopes(Set<String> scopes)`
    `void` | `setStatus(DecisionEffect status)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyResultRepresentation

          public PolicyResultRepresentation()

  - ### Method Detail

    - #### getPolicy

          public PolicyRepresentation getPolicy()

    - #### setPolicy

          public void setPolicy(PolicyRepresentation policy)

    - #### getStatus

          public DecisionEffect getStatus()

    - #### setStatus

          public void setStatus(DecisionEffect status)

    - #### getAssociatedPolicies

          public List<PolicyEvaluationResponse.PolicyResultRepresentation> getAssociatedPolicies()

    - #### setAssociatedPolicies

          public void setAssociatedPolicies(List<PolicyEvaluationResponse.PolicyResultRepresentation> associatedPolicies)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### setScopes

          public void setScopes(Set<String> scopes)

    - #### getScopes

          public Set<String> getScopes()

Copyright © 2020 JBoss by Red Hat. All rights reserved.